from django.contrib.auth.models import AbstractUser
from django.db import models


class User(AbstractUser):
    ROLE_CHOICE = [
        ('TEACHER', '老师'),
        ('LEADER', '队长'),
        ('MEMBER', '成员'),
        ('ADMIN', '管理员'),
    ]
    role = models.CharField('角色', max_length=10, choices=ROLE_CHOICE)
    first_name = None
    last_name = None
    point = models.IntegerField('积分', default=20)
